Holger's Java API

## com.antelmann.util
Class Bootstrapper

    java.lang.Object
      com.antelmann.util.Bootstrapper

    public class Bootstrapper

extends Object

a special class that allows to bootstrap another java application by calling it via reflection within a given class loader context. This class has no other dependencies other than standard J2SE classes.

Since:
  04.05.2009, 23:09:11
Author:
  Holger Antelmann

Constructor Summary
`Bootstrapper(String... jarUrlsOrFilenames)`

Method Summary
`void` `runApp(String mainClassName, String... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bootstrapper

    public Bootstrapper(String... jarUrlsOrFilenames)
                 throws MalformedURLException

Throws:
  `MalformedURLException`

Method Detail

### runApp

    public void runApp(String mainClassName,
                       String... args)
                throws Exception

  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads